#include "cortona.h"

class VisualObject {
public:
	VisualObject( INodeObject* transformNode );
	void SetScriptInputs( ISFInt32Object* in1, ISFInt32Object* in2, ISFInt32Object* in3, ISFInt32Object* in4, ISFInt32Object* in5 );
	ISFInt32Object* getIn1() { return( script_in1 ); }
	ISFInt32Object* getIn2() { return( script_in2 ); }
	ISFInt32Object* getIn3() { return( script_in3 ); }
	ISFInt32Object* getIn4() { return( script_in4 ); }

private:
	INodeObject* pTransformNode;

	ISFInt32Object* script_in1;
	ISFInt32Object* script_in2;
	ISFInt32Object* script_in3;
	ISFInt32Object* script_in4;
	ISFInt32Object* script_in5;

	VisualObject* children; // first child
	VisualObject* next;     // next in linked list
};
